<app-menu></app-menu>
<br>

<div class="container">

  <h3>Администраторы</h3>

  <div class="form-group">
    <label>Фамилия пользователя:</label>
      <input class="form-control" #surname>
  </div>

  <div class="form-group">
    <label>Имя пользователя:</label>
      <input class="form-control" #name/>
  </div>

  <div class="form-group">
    <label>email:</label>
    <input class="form-control" #email/>
  </div>

  <div class="form-group">
    <label>Пароль:</label>
    <input class="form-control" #password/>
  </div>

  <!-- (click) passes input value to add() and then clears the input -->
  <button class="btn btn-success" (click)="add(email.value, password.value, surname.value, name.value); name.value=''; surname.value=''; email.value=''; password.value=''">
    Добавить
  </button>
</div>
<br>

<div class="container">
<ul>
  <li *ngFor="let user of users">
    {{user.name}} {{user.surname}} {{user.role}}
    <button class="btn btn-warning" (click)="delete(user._id)">
      Удалить
      </button>
  </li>
</ul>
</div>
